/* Main
 * ========================================================================== */


/* Icons
 * -------------------------------------------------------------------------- */

.icon {
  display: inline-block;
  width: 20px;
  height: 20px;
  background-image: url("../../assets/img/icons.png");
  vertical-align: middle;
}

.icon-move {
  background-position: 0 0;
}

.icon-crop {
  background-position: -30px 0;
}

.icon-zoom-in {
  background-position: -60px 0;
}

.icon-zoom-out {
  background-position: -90px 0;
}

.icon-rotate-left {
  background-position: -120px 0;
}

.icon-rotate-right {
  background-position: -150px 0;
}

.icon-lock {
  background-position: -180px 0;
}

.icon-unlock {
  background-position: -210px 0;
}

.icon-remove {
  background-position: -240px 0;
}

.icon-refresh {
  background-position: -270px 0;
}

.icon-upload {
  background-position: -300px 0;
}

.icon-off {
  background-position: -330px 0;
}

.icon-info {
  background-position: -360px 0;
}


/* Alerts
 * -------------------------------------------------------------------------- */

.docs-alert {
  display: none;
  position: fixed;
  top: 20px;
  left: 0;
  right: 0;
  height: 0;
  text-align: center;
  opacity: 0.9;
}

.docs-alert .message {
  display: inline-block;
  padding: 5px 10px;
  border-radius: 2px;
  background-color: #aaa;
  color: #fff;
}

.docs-alert .primary {
  background-color: #0074d9;
}

.docs-alert .success {
  background-color: #2ecc40;
}

.docs-alert .info {
  background-color: #39cccc;
}

.docs-alert .warning {
  background-color: #ff851b;
}

.docs-alert .danger {
  background-color: #ff4136;
}

/* Button
 * -------------------------------------------------------------------------- */

.btn-primary {
  border-color: #003973; /* hsb(210, 100%, 45%) */
  background-color: #00468c; /* hsb(210, 100%, 55%) */
}

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active,
.btn-primary.active:focus,
.btn-primary.active:hover {
  border-color: #00264d; /* hsb(208, 100%, 10%) */
  background-color: #003366; /* hsb(208, 100%, 40%) */
}


/* Basic style
 * -------------------------------------------------------------------------- */

body {
  overflow-x: hidden;
}


/* Header */

.docs-header {
  border-color: #003973;
  background-color: #00468c;
  color: #fff;
}

.docs-header .navbar-brand {
  color: #eee;
}

.docs-header .navbar-toggle {
  border-color: #003973;
  background-color: #00468c;
}

.docs-header .navbar-toggle:hover,
.docs-header .navbar-toggle:focus {
  border-color: #003366;
  background-color: #003973;
}

.docs-header .navbar-collapse {
  border-color: #003973;
}

.docs-header .navbar-text {
  color: #ddd;
}

.docs-header .navbar-nav > li > a {
  color: #eee;
}


/* Content */

.img-container,
.img-preview {
  background-color: #f7f7f7;
  overflow: hidden;
  width: 100%;
  text-align: center;
}

.img-container {
  min-height: 200px;
  max-height: 466px;
  margin-bottom: 20px;
}

@media (min-width: 768px) {
  .img-container {
    min-height: 466px;
  }
}

.img-container > img {
  max-width: 100%;
}

.docs-preview {
  margin-right: -15px;
  margin-bottom: 10px;
}

.img-preview {
  float: left;
  margin-right: 10px;
  margin-bottom: 10px;
}

.img-preview > img {
  max-width: 100%;
}

.preview-lg {
  width: 200px;
  height: 300px;
}

.preview-md {
  width: 139px;
  height: 78px;
}

.preview-sm {
  width: 69px;
  height: 39px;
}

.preview-xs {
  width: 35px;
  height: 20px;
  margin-right: 0;
}

.docs-data > .input-group {
  margin-bottom: 10px;
}

.docs-data > .input-group > label {
  min-width: 80px;
}

.docs-data > .input-group > span {
  min-width: 50px;
}

.docs-buttons > .btn,
.docs-buttons > .btn-group,
.docs-buttons > .form-control {
  margin-right: 5px;
  margin-bottom: 10px;
}

.docs-toggles > .btn,
.docs-toggles > .btn-group,
.docs-toggles > .dropdown {
  margin-bottom: 10px;
}

.docs-tooltip {
  display: block;
  margin: -6px -12px;
  padding: 6px 12px;
}

.docs-tooltip > .icon {
  margin: 0 -3px;
  vertical-align: top;
}

.tooltip-inner {
  white-space: normal;
}

.btn-upload .tooltip-inner {
  white-space: nowrap;
}

@media (max-width: 400px) {
  .btn-group-crop {
    margin-right: -15px!important;
  }

  .btn-group-crop > .btn {
    padding-left: 5px;
    padding-right: 5px;
  }

  .btn-group-crop .docs-tooltip {
    margin-left: -5px;
    margin-right: -5px;
    padding-left: 5px;
    padding-right: 5px;
  }
}

.docs-options .dropdown-menu {
  width: 100%;
}

.docs-options .dropdown-menu > li {
  padding: 3px 20px;
}

.docs-options .dropdown-menu > li:hover {
  background-color: #f7f7f7;
}

.docs-options .dropdown-menu > li > label {
  display: block;
}

.docs-cropped .modal-body {
  text-align: center;
}

.docs-cropped .modal-body > img,
.docs-cropped .modal-body > canvas {
  max-width: 100%;
}

.previewpanel div {
	padding: 0 5px!important;
	margin-top:10px;
}

input[type="checkbox"] { display:none}

input[type="checkbox"]+label { background-color:#930; margin:0 10%; width:80%; color:#FFFFFF; border:1px solid #FFF; padding: 3px; }

input[type="checkbox"]+label em { font-weight:bold; font-style: normal; }
input[type="checkbox"]+label strong { font-weight:bold; font-style: normal; display:none; }

input[type="checkbox"]:checked+label em { display:none; }
input[type="checkbox"]:checked+label strong { display:inherit }

input[type="checkbox"]:checked+label { background-color:#393 }

#smg .glyphicon { font-size:14px }

.nopad { padding:0 1px; }

.fa-check {
	color:#090;
	cursor:pointer;
	float:right;
	font-size:18px!important;
	margin:4px;
}
.fa-times {
	color:#900;
	cursor:pointer;
	float:right;
	font-size:18px!important;
	margin:4px;
}

.fa-check-square-o {
	color:#090;
	cursor:pointer;
	font-size:24px!important;
}

.fa-square-o {
	color:#900;
	cursor:pointer;
	font-size:24px!important;
}

.fa-caret-down, .fa-caret-up, .fa-sort {
	cursor:pointer;
	color:#246;
}

.fa-pulse {
	color:#d9534f;
	font-size:48px!important;
}

.cb {
	margin:0!important;
	padding:1% 5%!important;
	width:98%!important;
	-webkit-border-radius: 7px;
	border-radius: 7px;
}

#asocdiv {
	max-height:500px;
	overflow:auto;
}